Bug 200153 - Background color not set when window opens
Summary: Background color not set when window opens
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11 (Show other bugs)
(Show other bugs)
Version: 5
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: X/OpenGL Maintenance List
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-07-25 18:57 UTC by Michael Godfrey
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-12-25 22:39:46 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Michael Godfrey 2006-07-25 18:57:36 UTC
Description of problem:
If we run applications locally on FC4 or 5, or ssh to an FC4
or FC5 system, some applications do not get their initially specified background
color set correctly.  If the application window is resized then the correct
background
color appears. Also, covering the window and then making it visible again does it.
If we ssh to a Redhat REL4 (2.6.9-34.0.1.ELsmp) system, the background color is
always correct. 

Version-Release number of selected component (if applicable):
xorg 7.0

How reproducible:
Always

Steps to Reproduce:
1. Execute an application which sets background color.
2. Observe window with default background
3. Resize window
4. Observe window background color change to requested color
  
Actual results:
window opens with befault background color

Expected results:
window opens with application requested background color

Additional info:
ssh to a system (such as RedHat REL4 or RH 9). Run the same application.
Background color is correct.

Comment 1 Adam Jackson 2006-07-27 00:26:58 UTC
Do you have a small test-case application?

Comment 2 Michael Godfrey 2006-12-23 03:33:30 UTC
(In reply to comment #1)
> Do you have a small test-case application?

I am afraid not. Even worse, the application that showed
this problem has now been updated to work around the 
problem.  This is a commercial software product so we
do not have access to the code.


Note You need to log in before you can comment on or make changes to this bug.